System
Reporting Analyse Results
POST
/
system-api
/
v1
/
reporting
/
experiments
/
{experiment_id}
/
executions
/
{execution_id}
/
analyse-results
Reporting Analyse Results
curl --request POST \
--url https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results \
--header 'Authorization: Bearer <token>'import requests
url = "https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serial_number": 123,
"experiment_type": "visibility",
"visibility_result_analysis": {
"brand_mention_analysis": {
"overall_mention": 123,
"mention_per_category": {},
"all_brands_category_distribution": [
{
"category": "<string>",
"brands": {}
}
],
"response_count": 0,
"brand_returning": {
"mention_rate": 123,
"n": 123,
"mentions": 123,
"mention_per_category": {}
},
"competitor_returning": {
"mention_rate": 123,
"n": 123,
"mentions": 123,
"mention_per_category": {}
}
},
"citation_analysis": {
"citation_domain_counts": {},
"citation_type_counts": {},
"citation_details": [
{
"category": "<string>",
"model_name": "perplexity",
"citation_domain": "<string>",
"citation_type": "<string>",
"citation_url_query_distribution": [
{
"citation_url": "<string>",
"queries_referenced": [
"<string>"
],
"query_run_counts": [
[
123,
123
]
],
"citation_count": 0,
"source_parent_category": "",
"source_subcategory": "",
"source_content_format": ""
}
],
"source_parent_category": "",
"source_subcategory": ""
}
],
"citation_parent_category_counts": {},
"citation_subcategory_counts": {}
},
"query_analysis": [
{
"response": "<string>",
"brands_mentioned": [
"<string>"
],
"category": "<string>",
"query": "<string>",
"citation_url": "<string>",
"model_name": "perplexity",
"mentioned": true
}
],
"tracked_urls_impact": {
"totals": {},
"per_url": [
{
"key": "<string>",
"label": "<string>",
"citations": 123,
"prompts": 123,
"urls": [
{
"url": "<string>",
"queries": [
"<string>"
]
}
],
"mean_sentiment": 123,
"by_model": [],
"theme_pros": [],
"theme_cons": [],
"prompts_with_brand_mention": 0,
"queries_with_brand_mention": []
}
]
},
"tracked_competitor_mention_analysis": [
{
"name": "<string>",
"overall_mention": 123,
"mention_per_category": {}
}
]
},
"sentiment_result_analysis": {
"mean_sentiment_score": 123,
"sentiment_label": "<string>",
"category_sentiment_analysis": [
{
"category": "<string>",
"mean_sentiment_score": 123,
"sentiment_label": "<string>",
"query_sentiment_details": [
{
"query": "<string>",
"sentiment_score": 123,
"sentiment_label": "<string>",
"model_name": "perplexity",
"response": "<string>",
"citations": [
"<string>"
],
"pros": [
"<string>"
],
"cons": [
"<string>"
],
"pros_citations": [
[
123
]
],
"cons_citations": [
[
123
]
],
"pro_brands": [
[
"<string>"
]
],
"con_brands": [
[
"<string>"
]
]
}
],
"mix": {
"n": 123,
"n_positive": 0,
"n_neutral": 0,
"n_negative": 0,
"share_positive": 0,
"share_neutral": 0,
"share_negative": 0,
"pct_positive": 123,
"pct_neutral": 123,
"pct_negative": 123,
"rating": "<string>",
"key": "<string>"
}
}
],
"citation_analysis": {
"citation_domain_counts": {},
"citation_type_counts": {},
"citation_details": [
{
"category": "<string>",
"model_name": "perplexity",
"citation_domain": "<string>",
"citation_type": "<string>",
"citation_url_query_distribution": [
{
"citation_url": "<string>",
"queries_referenced": [
"<string>"
],
"query_run_counts": [
[
123,
123
]
],
"citation_count": 0,
"source_parent_category": "",
"source_subcategory": "",
"source_content_format": ""
}
],
"source_parent_category": "",
"source_subcategory": ""
}
],
"citation_parent_category_counts": {},
"citation_subcategory_counts": {}
},
"tracked_urls_impact": {
"totals": {},
"per_url": [
{
"key": "<string>",
"label": "<string>",
"citations": 123,
"prompts": 123,
"urls": [
{
"url": "<string>",
"queries": [
"<string>"
]
}
],
"mean_sentiment": 123,
"by_model": [],
"theme_pros": [],
"theme_cons": [],
"prompts_with_brand_mention": 0,
"queries_with_brand_mention": []
}
]
},
"mix": {
"n": 123,
"n_positive": 0,
"n_neutral": 0,
"n_negative": 0,
"share_positive": 0,
"share_neutral": 0,
"share_negative": 0,
"pct_positive": 123,
"pct_neutral": 123,
"pct_negative": 123,
"rating": "<string>",
"key": "<string>"
},
"by_model": [],
"brand_citation_share": {
"total": 0,
"brand": 0,
"nonbrand": 0,
"share_brand": 0,
"pct_brand": 123,
"unique_domains": 0,
"top_nonbrand": [],
"source_sentiment": []
},
"positive_themes": [],
"negative_themes": []
},
"execution_created_at": "2023-11-07T05:31:56Z",
"execution_updated_at": "2023-11-07T05:31:56Z",
"shopping_analysis": {
"prompts_captured": 123,
"prompts_with_products": 123,
"products_shown": 123,
"unique_products": 123,
"own_placements": 123,
"own_share": 123,
"own_prompts": 123,
"own_avg_rank": 123,
"own_top1": 0,
"own_site_placements": 0,
"gap_prompts": 0,
"brands": [],
"products": [],
"sellers": [],
"queries": [],
"by_category": {}
},
"notes": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Unkey-issued API key
Query Parameters
Response
Successful Response
Available options:
visibility, sentiment Show child attributes
Show child attributes
Show child attributes
Show child attributes
Product cards ChatGPT showed. Prompts count only rows where shopping was captured.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Reporting Analyse Results
curl --request POST \
--url https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results \
--header 'Authorization: Bearer <token>'import requests
url = "https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine-mono-production.up.railway.app/system-api/v1/reporting/experiments/{experiment_id}/executions/{execution_id}/analyse-results")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serial_number": 123,
"experiment_type": "visibility",
"visibility_result_analysis": {
"brand_mention_analysis": {
"overall_mention": 123,
"mention_per_category": {},
"all_brands_category_distribution": [
{
"category": "<string>",
"brands": {}
}
],
"response_count": 0,
"brand_returning": {
"mention_rate": 123,
"n": 123,
"mentions": 123,
"mention_per_category": {}
},
"competitor_returning": {
"mention_rate": 123,
"n": 123,
"mentions": 123,
"mention_per_category": {}
}
},
"citation_analysis": {
"citation_domain_counts": {},
"citation_type_counts": {},
"citation_details": [
{
"category": "<string>",
"model_name": "perplexity",
"citation_domain": "<string>",
"citation_type": "<string>",
"citation_url_query_distribution": [
{
"citation_url": "<string>",
"queries_referenced": [
"<string>"
],
"query_run_counts": [
[
123,
123
]
],
"citation_count": 0,
"source_parent_category": "",
"source_subcategory": "",
"source_content_format": ""
}
],
"source_parent_category": "",
"source_subcategory": ""
}
],
"citation_parent_category_counts": {},
"citation_subcategory_counts": {}
},
"query_analysis": [
{
"response": "<string>",
"brands_mentioned": [
"<string>"
],
"category": "<string>",
"query": "<string>",
"citation_url": "<string>",
"model_name": "perplexity",
"mentioned": true
}
],
"tracked_urls_impact": {
"totals": {},
"per_url": [
{
"key": "<string>",
"label": "<string>",
"citations": 123,
"prompts": 123,
"urls": [
{
"url": "<string>",
"queries": [
"<string>"
]
}
],
"mean_sentiment": 123,
"by_model": [],
"theme_pros": [],
"theme_cons": [],
"prompts_with_brand_mention": 0,
"queries_with_brand_mention": []
}
]
},
"tracked_competitor_mention_analysis": [
{
"name": "<string>",
"overall_mention": 123,
"mention_per_category": {}
}
]
},
"sentiment_result_analysis": {
"mean_sentiment_score": 123,
"sentiment_label": "<string>",
"category_sentiment_analysis": [
{
"category": "<string>",
"mean_sentiment_score": 123,
"sentiment_label": "<string>",
"query_sentiment_details": [
{
"query": "<string>",
"sentiment_score": 123,
"sentiment_label": "<string>",
"model_name": "perplexity",
"response": "<string>",
"citations": [
"<string>"
],
"pros": [
"<string>"
],
"cons": [
"<string>"
],
"pros_citations": [
[
123
]
],
"cons_citations": [
[
123
]
],
"pro_brands": [
[
"<string>"
]
],
"con_brands": [
[
"<string>"
]
]
}
],
"mix": {
"n": 123,
"n_positive": 0,
"n_neutral": 0,
"n_negative": 0,
"share_positive": 0,
"share_neutral": 0,
"share_negative": 0,
"pct_positive": 123,
"pct_neutral": 123,
"pct_negative": 123,
"rating": "<string>",
"key": "<string>"
}
}
],
"citation_analysis": {
"citation_domain_counts": {},
"citation_type_counts": {},
"citation_details": [
{
"category": "<string>",
"model_name": "perplexity",
"citation_domain": "<string>",
"citation_type": "<string>",
"citation_url_query_distribution": [
{
"citation_url": "<string>",
"queries_referenced": [
"<string>"
],
"query_run_counts": [
[
123,
123
]
],
"citation_count": 0,
"source_parent_category": "",
"source_subcategory": "",
"source_content_format": ""
}
],
"source_parent_category": "",
"source_subcategory": ""
}
],
"citation_parent_category_counts": {},
"citation_subcategory_counts": {}
},
"tracked_urls_impact": {
"totals": {},
"per_url": [
{
"key": "<string>",
"label": "<string>",
"citations": 123,
"prompts": 123,
"urls": [
{
"url": "<string>",
"queries": [
"<string>"
]
}
],
"mean_sentiment": 123,
"by_model": [],
"theme_pros": [],
"theme_cons": [],
"prompts_with_brand_mention": 0,
"queries_with_brand_mention": []
}
]
},
"mix": {
"n": 123,
"n_positive": 0,
"n_neutral": 0,
"n_negative": 0,
"share_positive": 0,
"share_neutral": 0,
"share_negative": 0,
"pct_positive": 123,
"pct_neutral": 123,
"pct_negative": 123,
"rating": "<string>",
"key": "<string>"
},
"by_model": [],
"brand_citation_share": {
"total": 0,
"brand": 0,
"nonbrand": 0,
"share_brand": 0,
"pct_brand": 123,
"unique_domains": 0,
"top_nonbrand": [],
"source_sentiment": []
},
"positive_themes": [],
"negative_themes": []
},
"execution_created_at": "2023-11-07T05:31:56Z",
"execution_updated_at": "2023-11-07T05:31:56Z",
"shopping_analysis": {
"prompts_captured": 123,
"prompts_with_products": 123,
"products_shown": 123,
"unique_products": 123,
"own_placements": 123,
"own_share": 123,
"own_prompts": 123,
"own_avg_rank": 123,
"own_top1": 0,
"own_site_placements": 0,
"gap_prompts": 0,
"brands": [],
"products": [],
"sellers": [],
"queries": [],
"by_category": {}
},
"notes": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
